DRM_ATOMIC_HELPER_CL(9)

NAME
drm_atomic_helper_cleanup_planes - cleanup plane resources after commit

SYNOPSIS

void drm_atomic_helper_cleanup_planes(struct drm_device * dev, struct drm_atomic_state * old_state);

ARGUMENTS

dev
    DRM device

old_state
    atomic state object with old state structures

DESCRIPTION

This function cleans up plane state, specifically framebuffers, from the old configuration. Hence the old configuration must be perserved in old_state to be able to call this function.

This function must also be called on the new state when the atomic update fails at any point after calling drm_atomic_helper_prepare_planes.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT